org.apache.olingo.odata2.annotation.processor.ref

## Class AnnotationRefServiceFactory

- java.lang.Object
- - org.apache.olingo.odata2.api.ODataServiceFactory
  - - org.apache.olingo.odata2.annotation.processor.ref.AnnotationRefServiceFactory

-     public class AnnotationRefServiceFactory
      extends ODataServiceFactory

  ODataServiceFactory implemantion based on ListProcessor in combination with Annotation-Support-Classes for EdmProvider, DataSource and ValueAccess.

- - ### Field Summary

    - ### Fields inherited from class org.apache.olingo.odata2.api.ODataServiceFactory

      `ACCEPT_FORM_ENCODING, FACTORY_CLASSLOADER_LABEL, FACTORY_INSTANCE_LABEL, FACTORY_LABEL, PATH_SPLIT_LABEL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationRefServiceFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ODataService` | `createService(ODataContext context)` Create instance of custom `ODataService`.
    `<T extends ODataCallback> T` | `getCallback(Class<T> callbackInterface)` A service can return implementation classes for various callback interfaces.

    - ### Methods inherited from class org.apache.olingo.odata2.api.ODataServiceFactory

      `createODataSingleProcessorService`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationRefServiceFactory

          public AnnotationRefServiceFactory()

  - ### Method Detail

    - #### createService

          public ODataService createService(ODataContext context)
                                     throws ODataException

      Description copied from class: `ODataServiceFactory`
      Create instance of custom `ODataService`.
      Specified by:
        `createService` in class `ODataServiceFactory`
      Parameters:
        `context` - OData context object
      Returns:
        A new service instance.
      Throws:
        `ODataException` - in case of error

    - #### getCallback

          public <T extends ODataCallback> T getCallback(Class<T> callbackInterface)

      Description copied from class: `ODataServiceFactory`
      A service can return implementation classes for various callback interfaces.
      Overrides:
        `getCallback` in class `ODataServiceFactory`
      Parameters:
        `callbackInterface` - a interface type to query for implementation
      Returns:
        a callback implementation for this interface or null

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.